I got this issue when started rasa x

Hi, I got this issue when started rasa x.

(Rasa) C:\Users\Amirhossein\PycharmProjects\Rasa>rasa x Starting Rasa X in local mode… � 2021-07-08 12:01:50 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. 2021-07-08 12:01:53 ERROR concurrent.futures - exception calling callback for <Future at 0x1e8b2a56dc0 state=finished raised gaierror> Traceback (most recent call last): File “c:\users\amirhossein\anaconda3\envs\rasa\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “c:\users\amirhossein\anaconda3\envs\rasa\lib\socket.py”, line 918, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred: Traceback (most recent call last): File “c:\users\amirhossein\anaconda3\envs\rasa\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\users\amirhossein\anaconda3\envs\rasa\lib\asyncio\futures.py”, line 374, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\amirhossein\anaconda3\envs\rasa\lib\asyncio\base_events.py”, line 764, in call_soon_threadsafe self._check_closed() File “c:\users\amirhossein\anaconda3\envs\rasa\lib\asyncio\base_events.py”, line 508, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-07-08 12:01:53 ERROR concurrent.futures - exception calling callback for <Future at 0x1e8b2a58340 state=finished returned list> Traceback (most recent call last): File “c:\users\amirhossein\anaconda3\envs\rasa\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\users\amirhossein\anaconda3\envs\rasa\lib\asyncio\futures.py”, line 374, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\amirhossein\anaconda3\envs\rasa\lib\asyncio\base_events.py”, line 764, in call_soon_threadsafe self._check_closed() File “c:\users\amirhossein\anaconda3\envs\rasa\lib\asyncio\base_events.py”, line 508, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed Traceback (most recent call last): File “c:\users\amirhossein\anaconda3\envs\rasa\lib\site-packages\rasa\cli\x.py”, line 495, in run_locally local.main( File “c:\users\amirhossein\anaconda3\envs\rasa\lib\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “c:\users\amirhossein\anaconda3\envs\rasa\lib\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “c:\users\amirhossein\anaconda3\envs\rasa\lib\asyncio\base_events.py”, line 616, in run_until_complete return future.result() File “c:\users\amirhossein\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “c:\users\amirhossein\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “c:\users\amirhossein\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “c:\users\amirhossein\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “c:\users\amirhossein\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “c:\users\amirhossein\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “c:\users\amirhossein\anaconda3\envs\rasa\lib\site-packages\rasax\community\services\stack_service.py”, line 92, in version response = await session.get( File “c:\users\amirhossein\anaconda3\envs\rasa\lib\site-packages\aiohttp\client.py”, line 619, in _request break File “c:\users\amirhossein\anaconda3\envs\rasa\lib\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None asyncio.exceptions.TimeoutError

I would be appreciated if someone can help me.

@jimir_91 Hi. Your rasa verison and python?

@nik202

  • Rasa Version : 2.7.1
  • Minimum Compatible Version: 2.6.0
  • Rasa SDK Version : 2.7.0
  • Rasa X Version : 0.41.1
  • Python Version : 3.8.10
  • Operating System : Windows-10-10.0.18363-SP0

@jimir_91 Try to install pip install aiohttp but I am sure, it will not fix but give it a try. @jimir_91 Did it fixed your issue?

It does not work.

1 Like